#! /bin/bash


if grep -q "Fedora release 8" /etc/issue && [ `arch` == x86_64 ]
then

# workaround for crashing gimp on FC8 64 bit

root32=/scratch/lennox/douze/gimp_32_fromrpm

# 
# set $root32/usr/lib/gimp/2.0/interpreters/pygimp.interp 
# to point on the 32-bit Python interpreter ($root32/usr/bin/python)
#

export LD_LIBRARY_PATH=$root32/lib:$root32/usr/lib:$root32/usr/local/lib
export GIMP2_PLUGINDIR=$root32/usr/lib/gimp/2.0/ 
export GIMP2_DATADIR=$root32/usr/share/gimp/2.0/  
export GIMP2_SYSCONFDIR=$root32/etc/gimp/2.0
export PYTHONPATH=$root32/usr/lib/python2.5/site-packages/gtk-2.0

alias gimp=$root32/usr/bin/gimp


fi


gimp --console-messages --no-interface --batch-interpreter=python-fu-eval -b "

import sys

from gimpfu import *

sys.path+=['.']

try:
  import random_videos
except ImportError,e:
  traceback.print_exc(50,sys.stderr)
  pdb.gimp_quit(0)
  sys.exit(1)


random_videos.generate($1)

pdb.gimp_quit(0)
sys.exit(1)


"
